discuss-gnustep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: compiling gui with clang/libobjc2 failure


From: Lundberg, Johannes
Subject: Re: compiling gui with clang/libobjc2 failure
Date: Fri, 1 Feb 2013 17:42:54 +0900

I have struggled a with this problem. Base's configure script either complains about not being able to compile objc or the error you mentioned. Make and libobjc2 installs fine but never base (sometimes not, sometimes installs works fine). It appears that you can NOT have libdispatch installed while compiling and installing libobcj2. The solution I found was to uninstall libdispatch, install gnustep+libobjc2 and then reinstall libdispatch. Then it worked like a charm... I guess there are another solution if you modify the header of some file in libobjc2.

On Fri, Feb 1, 2013 at 5:34 PM, David Chisnall <address@hidden> wrote:
On 1 Feb 2013, at 07:36, Sebastian Reitenbach wrote:

> #  ifdef __BLOCKS__
> #    include <dispatch/dispatch.h>
> #  endif /* __BLOCKS__ */

This is definitely a cups problem.  They are assuming that blocks support (a compiler feature) implies the presence of libdispatch (a library).  I don't know if libdispatch has been ported to OpenBSD.

I think the -base configure checks for the presence of libdispatch because we use it for parallel array operations, so the best thing to do is use that macro to conditionally #undef __BLOCKS__ before including cups.h

David

-- Sent from my STANTEC-ZEBRA


_______________________________________________
Discuss-gnustep mailing list
address@hidden
https://lists.gnu.org/mailman/listinfo/discuss-gnustep



--
Johannes Lundberg
BRILLIANTSERVICE CO., LTD.

reply via email to

[Prev in Thread] Current Thread [Next in Thread]